> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaleidoswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Handle Rate Decision

> Handle user decision on rate change for LSPS1 orders.
User can either accept the new market rate or request a refund.



## OpenAPI

````yaml /openapi.json post /api/v1/lsps1/rate_decision
openapi: 3.1.0
info:
  title: Kaleidoswap RGB-LSP API
  description: API for managing swaps and channels
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/lsps1/rate_decision:
    post:
      tags:
        - lsps1
      summary: Handle Rate Decision
      description: |-
        Handle user decision on rate change for LSPS1 orders.
        User can either accept the new market rate or request a refund.
      operationId: handle_rate_decision_api_v1_lsps1_rate_decision_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RateDecisionRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateDecisionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RateDecisionRequest:
      properties:
        order_id:
          type: string
          title: Order Id
        accept_new_rate:
          type: boolean
          title: Accept New Rate
      type: object
      required:
        - order_id
        - accept_new_rate
      title: RateDecisionRequest
      description: Request for user to accept new rate or request refund
    RateDecisionResponse:
      properties:
        order_id:
          type: string
          title: Order Id
        decision_accepted:
          type: boolean
          title: Decision Accepted
        message:
          type: string
          title: Message
        refund_txid:
          anyOf:
            - type: string
            - type: 'null'
          title: Refund Txid
      type: object
      required:
        - order_id
        - decision_accepted
        - message
      title: RateDecisionResponse
      description: Response after user makes rate decision
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````